View Issue Details

IDProjectCategoryView StatusLast Update
0030064RunnerHTML5Public2018-11-05 16:31
ReporterDanAssigned ToMike Dailly 
PriorityVery HighSeverityB - MajorReproducibility100%
Status ClosedResolutionFixed 
PlatformHTML5OSWindows 10OS VersionPro x64
Product Version2.2.0 
Target Version2.2.0Fixed in Version2.2.0 
Summary0030064: HTML5: Referencing a layer by a string name is broken in 2.2.0
DescriptionIn 2.2.0, instance_create_layer() no longer works. No instance will be created, and only in some circumstances is an error shown ("Error: Trying to create an instance on a non-existant layer"). instance_create_depth() still works.

Other functions which take the layer as a string are broken also - e.g., layer_hspeed(), layer_get_hspeed() and layer_get_id().

2.1.4 and 2.1.5 work fine, so this is a break in 2.2.0, however, we must have already fixed this again internally as IDE v9.2.1.1576 Runtime v9.9.1.1203 runs the game fine.
Steps To Reproduce1. Run the attached sample for Windows and observe you get two smiling faces.
2. Run the attached sample for HTML5 and observe you only get one smiling face.
Repro: 100%
Tagshtml5, Runner
1.4 Found In
2.x Runtime Found In2.2.0.258
2.x Runtime Verified In2.2.0.259

Activities

Dan

2018-10-04 09:25

Adminstrator  

testinstancecreationHTML5.yyz (21,455 bytes)

Mike Dailly

2018-10-04 09:37

Developer   ~0061707

Fixed in red

Dan

2018-10-05 16:53

Adminstrator   ~0061722

Works fine now. Closing.